function redstone.inherit(base)
    local sub = {}
    setmetatable(sub, { __index = base })
    return sub
end

dofile("sys/lua/rs/circuits/dust.lua")
dofile("sys/lua/rs/circuits/torch.lua")
dofile("sys/lua/rs/circuits/lever.lua")
dofile("sys/lua/rs/circuits/piston.lua")
dofile("sys/lua/rs/circuits/sticky_piston.lua")

-- -- -- --

redstone.add_circuit(redstone.Dust, "Dust", 600)
redstone.add_circuit(redstone.Torch, "Torch", 1750)
redstone.add_circuit(redstone.Lever, "Lever", 1250)
redstone.add_circuit(redstone.Piston, "Piston", 2450)
redstone.add_circuit(redstone.StickyPiston, "Sticky Piston", 2750)