-- Redstone Lever (archmage)
-- Gives current if it is pulled up, doesn't if it is pulled down

redstone.Lever = redstone.inherit(redstone.circuit)
function redstone.Lever:constructor()
    self.type = redstone.type.Lever
    self.img_name = "lever"
    self.on = false
end

function redstone.Lever:get_full_image_name()
    return self.img_name.."_"..(self.on and "1" or "0")
end

function redstone.Lever:calc_power()
    if ( self.on ) then
        return redstone.torch_power
    else
        return 0
    end
end

function redstone.Lever:use()
    self.on = not self.on
    self:update_image()
end
